/**
 * @function _tmpl
 * @private
 * @returns {string}
 */
'use strict'

const fs = require('fs')
const assert = require('assert')
const stringcase = require('stringcase')
const types = require('./types')

/** @lends _tmpl */
function _tmpl (type) {
  let dirname = `${__dirname}/../`
  let filename = types[ stringcase.camelcase(type).trim() ]
  if (!filename) {
    assert.ok(filename, `[apeman-tmpl-bud] Unknown type: ${type}`)
  }
  return fs.readFileSync(dirname + filename).toString()
}

module.exports = _tmpl
